# @synopsis AX_UPLOAD([command])
# ---------------------------------------------------------
# @author Tom Howard <tomhoward@users.sf.net>
# @version $Id$
# @copyright 2004 Tom Howard
#
# Adds support for uploading dist files. %f in the command will be substituted
# with the name of the file. e.g
#    AX_UPLOAD([ncftpput -v upload.sourceforge.net /incoming %f])
# Make sure ax_upload.am is added to aminclude.am and you have 
# 'include aminclude.am' in your toplevel Makefile.am
AC_DEFUN([AX_UPLOAD],
[
echo "adding upload support"
UPLOAD_COMMAND="$1"
AC_SUBST(UPLOAD_COMMAND)
AM_CONDITIONAL(USING_AX_UPLOAD, [true])
echo "setting upload command... \`$UPLOAD_COMMAND\`"
])# AX_UPLOAD
